# Test app for OIDC, OAuth2 - pure web client version written with Vue3

Small web app for experimenting a web app with a Keycloak auth server.

## Deployment

In a container:

```sh
pnpm run build --base oidc-test-web
podman run -it --rm -p 8874:80 -v ./dist:/usr/share/nginx/html/oidc-test-web docker.io/nginx:alpine
```

## Frontend

```Caddyfile
handle /iodc-test-web {
  reverse-proxy hostname.domainame:8874
}
redir /oidc-test-web /oidc-test-web/
```
